diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-usersettings-types/src/test/java/com/nuxeo/ecm/usersettings/types/RepositoryOSGITestCase.java
--- a/nuxeo-platform-usersettings-types/src/test/java/com/nuxeo/ecm/usersettings/types/RepositoryOSGITestCase.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-usersettings-types/src/test/java/com/nuxeo/ecm/usersettings/types/RepositoryOSGITestCase.java	Fri Mar 26 09:05:32 2010 +0100
@@ -38,7 +38,7 @@
 
 /**
  * @author <a href="mailto:bs@nuxeo.com">Bogdan Stefanescu</a>
- *
+ * 
  */
 public class RepositoryOSGITestCase extends NXRuntimeTestCase {
 
@@ -49,7 +49,7 @@
     protected Repository repository;
 
     protected CoreSession coreSession;
-    
+
     protected DocumentModel rootWorkspace = null;
 
     protected RepositoryOSGITestCase() {
@@ -108,16 +108,17 @@
         return repository;
     }
 
-    
     protected DocumentModel getRootWorkspace() throws ClientException {
-	if (rootWorkspace == null) createRootWorkspace();
-	return rootWorkspace;
+        if (rootWorkspace == null)
+            createRootWorkspace();
+        return rootWorkspace;
     }
-    
+
     private void createRootWorkspace() throws ClientException {
-	rootWorkspace = coreSession.createDocumentModel("/", RepositoryOSGITestCase.ROOT_WORKSPACE_NAME, "Workspace");
-	assertNotNull(rootWorkspace);
-	rootWorkspace=coreSession.createDocument(rootWorkspace);
+        rootWorkspace = coreSession.createDocumentModel("/",
+                RepositoryOSGITestCase.ROOT_WORKSPACE_NAME, "Workspace");
+        assertNotNull(rootWorkspace);
+        rootWorkspace = coreSession.createDocument(rootWorkspace);
     }
 
     protected void openCoreSession(String userName) throws ClientException {
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-usersettings-types/src/test/java/com/nuxeo/ecm/usersettings/types/TestUserSettings.java
--- a/nuxeo-platform-usersettings-types/src/test/java/com/nuxeo/ecm/usersettings/types/TestUserSettings.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-usersettings-types/src/test/java/com/nuxeo/ecm/usersettings/types/TestUserSettings.java	Fri Mar 26 09:05:32 2010 +0100
@@ -19,31 +19,29 @@
 
 package com.nuxeo.ecm.usersettings.types;
 
-
 import org.nuxeo.ecm.core.api.ClientException;
 import org.nuxeo.ecm.core.api.CoreSession;
 import org.nuxeo.ecm.core.api.DocumentModel;
 import org.nuxeo.ecm.core.api.IdRef;
 
-
-
 /**
  * @author <a href="mailto:christophe.capon@vilogia.fr">Christophe Capon</a>
  */
 public class TestUserSettings extends RepositoryOSGITestCase {
 
-    
     private static final String TEST_USERNAME1 = "testusername";
+
     private static final String TEST_USERNAME2 = "testusername2";
+
     private CoreSession session;
-    private DocumentModel root;        
 
-    
-   @Override
+    private DocumentModel root;
+
+    @Override
     public void setUp() throws Exception {
-       
+
         super.setUp();
-       
+
         // Bundle to be tested
         deployBundle("org.nuxeo.ecm.usersettings.types");
 
@@ -58,13 +56,13 @@
         super.tearDown();
     }
 
-  
     public void testCreateUserSettingsDocument() throws Exception {
         DocumentModel doc = createUserSettingsDoc();
-        Object o = doc.getProperty(UserSettingsType.SCHEMA, UserSettingsType.PROP_USER);
+        Object o = doc.getProperty(UserSettingsType.SCHEMA,
+                UserSettingsType.PROP_USER);
         assertNotNull(o);
         assertTrue(o instanceof String);
-        assertEquals(TestUserSettings.TEST_USERNAME1, (String)o);
+        assertEquals(TestUserSettings.TEST_USERNAME1, (String) o);
         session.removeDocument(new IdRef(doc.getId()));
     }
 
@@ -74,20 +72,19 @@
         assertEquals(TestUserSettings.TEST_USERNAME1, w.getUser());
         w.setUser(TestUserSettings.TEST_USERNAME2);
         session.saveDocument(doc);
-        assertEquals(TestUserSettings.TEST_USERNAME2, w.getUser());        
+        assertEquals(TestUserSettings.TEST_USERNAME2, w.getUser());
         session.removeDocument(new IdRef(doc.getId()));
     }
 
     private DocumentModel createUserSettingsDoc() throws ClientException {
-	DocumentModel testDoc = session.createDocumentModel(root.getPathAsString(), "UserSettingsInstance", "UserSettings");
+        DocumentModel testDoc = session.createDocumentModel(
+                root.getPathAsString(), "UserSettingsInstance", "UserSettings");
         assertNotNull(testDoc);
-        testDoc.setProperty(UserSettingsType.SCHEMA, UserSettingsType.PROP_USER, TestUserSettings.TEST_USERNAME1);
+        testDoc.setProperty(UserSettingsType.SCHEMA,
+                UserSettingsType.PROP_USER, TestUserSettings.TEST_USERNAME1);
         testDoc = session.createDocument(testDoc);
         session.saveDocument(testDoc);
-	return testDoc;
+        return testDoc;
     }
-    
-    
 
- 
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-usersettings-web/src/main/java/org/nuxeo/ecm/usersettings/web/impl/UserSettingsManagerActionsBean.java
--- a/nuxeo-platform-usersettings-web/src/main/java/org/nuxeo/ecm/usersettings/web/impl/UserSettingsManagerActionsBean.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-usersettings-web/src/main/java/org/nuxeo/ecm/usersettings/web/impl/UserSettingsManagerActionsBean.java	Fri Mar 26 09:05:32 2010 +0100
@@ -49,7 +49,8 @@
  */
 @Name("userSettingsActions")
 @Scope(CONVERSATION)
-public class UserSettingsManagerActionsBean implements UserSettingsManagerActions {
+public class UserSettingsManagerActionsBean implements
+        UserSettingsManagerActions {
 
     private static final long serialVersionUID = 1828592026739219850L;
 
@@ -75,96 +76,100 @@
     private DocumentModel previousDocument = null;
 
     public void initialize() {
-	log.debug("Initializing user preferences manager actions bean");
-	try {
-	    initialized = true;
-	} catch (Exception e) {
-	    log.error("There was an error while trying to get UserWorkspaceService", e);
-	}
+        log.debug("Initializing user preferences manager actions bean");
+        try {
+            initialized = true;
+        } catch (Exception e) {
+            log.error(
+                    "There was an error while trying to get UserWorkspaceService",
+                    e);
+        }
     }
 
     @Destroy
     @Remove
     public void destroy() {
-	userPreferencesService = null;
-	log.debug("Removing user workspace actions bean");
+        userPreferencesService = null;
+        log.debug("Removing user workspace actions bean");
     }
 
     private UserSettingsService getUserSettingsService() {
-	if (userPreferencesService != null) {
-	    return userPreferencesService;
-	}
-	try {
-	    userPreferencesService = Framework.getService(UserSettingsService.class);
-	    return userPreferencesService;
-	} catch (Exception e) {
-	    return null;
-	}
+        if (userPreferencesService != null) {
+            return userPreferencesService;
+        }
+        try {
+            userPreferencesService = Framework.getService(UserSettingsService.class);
+            return userPreferencesService;
+        } catch (Exception e) {
+            return null;
+        }
     }
 
     public boolean isInitialized() {
-	return initialized;
+        return initialized;
     }
 
     public void setInitialized(boolean initialized) {
-	this.initialized = initialized;
+        this.initialized = initialized;
     }
 
     public DocumentModel getCurrentUserSettings() throws Exception {
 
-	return getUserSettingsService().getCurrentUserSettings(documentManager, "UserSettings").get(0);
+        return getUserSettingsService().getCurrentUserSettings(documentManager,
+                "UserSettings").get(0);
 
     }
 
     public void populateCurrentUserSettings() throws Exception {
 
-	getUserSettingsService().getCurrentUserSettings(documentManager);
+        getUserSettingsService().getCurrentUserSettings(documentManager);
 
     }
 
     public String navigateToCurrentUserSettings() throws Exception {
 
-	if (!initialized) {
-	    initialize();
-	}
-	String returnView = DOCUMENT_VIEW;
+        if (!initialized) {
+            initialize();
+        }
+        String returnView = DOCUMENT_VIEW;
 
-	backupContext();
+        backupContext();
 
-	populateCurrentUserSettings();
-	
-	DocumentModel currentUserPreferences = getCurrentUserSettings();
+        populateCurrentUserSettings();
 
-	navigationContext.setCurrentDocument(currentUserPreferences);
+        DocumentModel currentUserPreferences = getCurrentUserSettings();
 
-	return returnView;
+        navigationContext.setCurrentDocument(currentUserPreferences);
+
+        return returnView;
     }
 
     private void backupContext() {
 
-	if (previousDocument == null
-		|| !previousDocument.getPathAsString().equals(navigationContext.getCurrentDocument().getPathAsString())) {
-	    previousDocument = navigationContext.getCurrentDocument();
-	}
+        if (previousDocument == null
+                || !previousDocument.getPathAsString().equals(
+                        navigationContext.getCurrentDocument().getPathAsString())) {
+            previousDocument = navigationContext.getCurrentDocument();
+        }
 
     }
 
     public String update(DocumentActions docActions) throws ClientException {
 
-	docActions.updateDocument();
+        docActions.updateDocument();
 
-	restoreContext();
+        restoreContext();
 
-	return DOCUMENT_VIEW;
+        return DOCUMENT_VIEW;
 
     }
 
     private void restoreContext() {
-	try {
-	    navigationContext.setCurrentDocument(previousDocument);
-	} catch (ClientException e) {
-	    // TODO Auto-generated catch block
-	}
+        try {
+            navigationContext.setCurrentDocument(previousDocument);
+        } catch (ClientException e) {
+            // TODO Auto-generated catch block
+        }
     }
 
 }
